### Method

# Gimp Vectors stroke_get_length

since: 2.4

#### Declaration [src]

    gdouble
    gimp_vectors_stroke_get_length (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble precision
    )

#### Description [src]

Measure the length of the given stroke.

Measure the length of the given stroke.

Available since: 2.4

#### Parameters

`stroke_id`

  Type: `gint`

  The stroke ID.

`precision`

  Type: `gdouble`

  The precision used for approximating straight portions of the stroke.

#### Return value

Type: `gdouble`

The length (in pixels) of the given stroke.